Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455597 - Create subpackage with server sources
Summary: Create subpackage with server sources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 467377
TreeView+ depends on / blocked
 
Reported: 2008-07-16 14:44 UTC by Adam Tkac
Modified: 2013-04-30 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* the source code for the X server is now provided as a separate subpackage. This allows vnc to build from this source rather than an upstream source that has not been optimized for Red Hat Enterprise Linux. Making this source code available separately ensures that vnc on Red Hat Enterprise Linux takes advantage of bug fixes and enhancements specific to the operating system.
Clone Of:
Environment:
Last Closed: 2009-01-20 21:29:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (deleted)
2008-07-17 11:47 UTC, Adam Tkac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0162 normal SHIPPED_LIVE xorg-x11-server bug fix update 2009-01-20 16:05:20 UTC

Description Adam Tkac 2008-07-16 14:44:08 UTC
Description of problem:
Xvnc (our VNC server) is nearly same thing as Xvfb and uses X code base. In
Fedora >= 7 we have xorg-x11-server-source subpackage which contains server
source and vnc using it for building. Maintenance of such subpackage needs zero
manpower and it helps vnc maintainer to keep source up2date with main server.
(every fix which is also for Xnest/Xvfb should be ported to vnc)

Actual results:
No source subpackage, vnc stuck with 1.1.1 upstream release

Expected results:
source subpackage, vnc will use it for building and will contain RHEL5 fixes

Additional info:
I will attach patch soon

Comment 1 Adam Tkac 2008-07-17 11:47:10 UTC
Created attachment 312043 [details]
patch

Comment 2 RHEL Product and Program Management 2008-07-25 17:01:50 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 3 Ludek Smid 2008-07-25 22:04:00 UTC
Unfortunately the previous automated notification about the
non-inclusion of this request in Red Hat Enterprise Linux 5.3 used
the wrong text template. It should have read: this request has been
reviewed by Product Management and is not planned for inclusion
in the current minor release of Red Hat Enterprise Linux.

If you would like this request to be reviewed for the next minor
release, ask your support representative to set the next rhel-x.y
flag to "?" or raise an exception.

Comment 6 RHEL Product and Program Management 2008-08-14 20:14:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Adam Jackson 2008-09-11 18:09:47 UTC
Built xorg-x11-server-1.1.1-48.47.el5

MODIFIED

Comment 9 Adam Tkac 2008-09-15 16:26:01 UTC
(In reply to comment #8)
> Built xorg-x11-server-1.1.1-48.47.el5
> 
> MODIFIED

xorg-x11-server-1.1.1-48.47.el5 looks fine for me

Comment 13 Ruediger Landmann 2009-01-08 01:40:49 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the source code for the X server is now provided as a separate subpackage. This allows vnc to build from this source rather than an upstream source that has not been optimized for Red Hat Enterprise Linux. Making this source code available separately ensures that vnc on Red Hat Enterprise Linux takes advantage of bug fixes and enhancements specific to the operating system.

Comment 14 errata-xmlrpc 2009-01-20 21:29:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0162.html


Note You need to log in before you can comment on or make changes to this bug.